Subject: bug#66060: closed (Re: [bug#66060] [PATCH 0/5] gnu: sigrok-firmware-fx2lafw: Update; improve package.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 25 Sep 2023 11:04:02 +0000

Your bug report

#66060: [PATCH 0/5] gnu: sigrok-firmware-fx2lafw: Update; improve package.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
66060: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=66060
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#66060] [PATCH 0/5] gnu: sigrok-firmware-fx2lafw: Update; improve package.
From: Christopher Baines <[email-masked]>
To: Simon South <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 25 Sep 2023 12:02:01 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Simon South <[email-masked]> writes:

> This patch series updates sigrok-firmware-fx2lafw, firmware for inexpensive
> logic analyzers built around the Cypress Semiconductor FX2 microcontroller, to
> the latest revision in its source-code repository.
>
> This brings in eight commits[0] that improve the software in small ways, most
> importantly allowing it to build with the latest version of SDCC, 4.3.0
> (patches to follow).  Note the project's last formal release was in 2019.
>
> This series also simplifies and updates the style of the package definition.
>
> I've tested these changes on AArch64 and x86-64 using PulseView and a real
> FX2-based device (a MuseTech nanoDLA) and everything seems fine.
>
> --
> Simon South
> [email-masked]
>
> [0] See
>     http://sigrok.org/gitweb/?p=sigrok-firmware-fx2lafw.git;a=shortlog;h=96b0b47
>
>
> Simon South (5):
>   gnu: sigrok-firmware-fx2lafw: Rely on implicit inputs.
>   gnu: sigrok-firmware-fx2lafw: Remove input labels.
>   gnu: sigrok-firmware-fx2lafw: Adjust format.
>   gnu: sigrok-firmware-fx2lafw: Explicitly disable tests.
>   gnu: sigrok-firmware-fx2lafw: Update to 0.1.7-1.96b0b47.

Thanks for the patches Simon, I've added a comment and a bit to the
commit message in the last commit to give the reason for using a VCS
snapshot and pushed these patches to master as
9239c822469259509dbbc7a6966b5b265dd7c4f1.

Chris

Subject: [PATCH 0/5] gnu: sigrok-firmware-fx2lafw: Update; improve package.
From: Simon South <[email-masked]>
To: [email-masked]
Date: Sun, 17 Sep 2023 18:11:02 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

This patch series updates sigrok-firmware-fx2lafw, firmware for inexpensive
logic analyzers built around the Cypress Semiconductor FX2 microcontroller, to
the latest revision in its source-code repository.

This brings in eight commits[0] that improve the software in small ways, most
importantly allowing it to build with the latest version of SDCC, 4.3.0
(patches to follow).  Note the project's last formal release was in 2019.

This series also simplifies and updates the style of the package definition.

I've tested these changes on AArch64 and x86-64 using PulseView and a real
FX2-based device (a MuseTech nanoDLA) and everything seems fine.

--
Simon South
[email-masked]

[0] See
    http://sigrok.org/gitweb/?p=sigrok-firmware-fx2lafw.git;a=shortlog;h=96b0b47

Simon South (5):
  gnu: sigrok-firmware-fx2lafw: Rely on implicit inputs.
  gnu: sigrok-firmware-fx2lafw: Remove input labels.
  gnu: sigrok-firmware-fx2lafw: Adjust format.
  gnu: sigrok-firmware-fx2lafw: Explicitly disable tests.
  gnu: sigrok-firmware-fx2lafw: Update to 0.1.7-1.96b0b47.

 gnu/packages/electronics.scm | 55 ++++++++++++++++--------------------
 1 file changed, 24 insertions(+), 31 deletions(-)

base-commit: fc3a53525ab3dcaf7c22eec8d62294017f9760fe
-- 
2.41.0